package sklep.alternatywne_wersje_bazy_danych;

import java.util.List;
import java.util.Optional;

import sklep.model.Product;

public interface ProductRepository_v6 {

	List<Product> findAll();

	Optional<Product> findById(int productId);

	List<Product> findByProductName(String name);

}